require 'csv'
require_relative 'book_in_stock'

class Books
  def initialize
    @books = []
  end

  def books
    @books
  end

  def read_in_csv_data(filename)
    CSV.foreach(filename, headers: true) do |row|
      @books << BookInStock.new(row['ISBN'], row['Price'])
    end
  end

  def total_value_in_stock
    @books.reduce(0) { |sum, book| sum + book.price }
  end

  def number_of_each_isbn
    @books.each_with_object(Hash.new(0)) do |book, hash|
      hash[book.isbn] += 1
    end
  end
end

books = Books.new
books.read_in_csv_data('data.csv')
puts "Общая стоимость книг: #{books.total_value_in_stock}"
puts "Книги в наличии"
books.number_of_each_isbn.each_pair do |isbn, count|
  puts "ISBN: #{isbn}, count: #{count}"
end